QXmpp: QXmppIncomingClient Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | Friends | List of all members
QXmppIncomingClient Class Reference

Interface for password checkers. More...

`#include <QXmppIncomingClient.h>`

Inheritance diagram for QXmppIncomingClient:

## Signals
void | elementReceived (const QDomElement &element)
| This signal is emitted when an element is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions
| QXmppIncomingClient (QSslSocket *socket, const QString &domain, QObject *parent=0)
| ~QXmppIncomingClient ()
bool | isConnected () const
QString | jid () const
void | setInactivityTimeout (int secs)
void | setPasswordChecker (QXmppPasswordChecker *checker)
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream ()
| Destroys a base XMPP stream.
bool | sendPacket (const QXmppStanza &)
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Friends
class | QXmppIncomingClientPrivate

## Additional Inherited Members
Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0

## Detailed Description

Interface for password checkers.

The QXmppIncomingClient class represents an incoming XMPP stream from an XMPP client.

## Constructor & Destructor Documentation

QXmppIncomingClient::QXmppIncomingClient | ( | QSslSocket * | socket,
|  | const QString & | domain,
|  | QObject * | parent = `0`
| ) |  |

Constructs a new incoming client stream.

Parameters

  socket | The socket for the XMPP stream.
  domain | The local domain.
  parent | The parent QObject for the stream (optional).

QXmppIncomingClient::~QXmppIncomingClient | ( |  | ) |

Destroys the current stream.

## Member Function Documentation

bool QXmppIncomingClient::isConnected | ( |  | ) | const
| virtual

Returns true if the socket is connected, the client is authenticated and a resource is bound.

Reimplemented from QXmppStream.

QString QXmppIncomingClient::jid | ( |  | ) | const

Returns the client's JID.

void QXmppIncomingClient::setInactivityTimeout | ( | int | secs | ) |

Sets the number of seconds after which a client will be disconnected for inactivity.

void QXmppIncomingClient::setPasswordChecker | ( | QXmppPasswordChecker * | checker | ) |

Sets the password checker used to verify client credentials.

Parameters

  checker |

The documentation for this class was generated from the following files:

- QXmppIncomingClient.h
- QXmppIncomingClient.cpp